# $Revision: 1.81 $, $Date: 2008/10/11 10:16:18 $
Summary:	The sar and iostat system monitoring commands
Summary(pl.UTF-8):	Polecenia sar i iostat dla systemu Linux
Summary(ru.UTF-8):	Содержит программы системного мониторинга sar и iostat
Summary(uk.UTF-8):	Містить команди системного моніторингу sar та iostat
Summary(zh_CN.UTF-8):	sar, iostat 等系统监视工具
Name:		sysstat
Version:	8.1.6
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://perso.wanadoo.fr/sebastien.godard/%{name}-%{version}.tar.bz2
# Source0-md5:	0e6090e60450496d39b07eb109ed086d
Source1:	%{name}.crond
Source2:	%{name}.init
Source3:	%{name}.sysconfig
Patch0:		%{name}-opt.patch
URL:		http://perso.wanadoo.fr/sebastien.godard/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	gettext-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	crondaemon
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides the sar and iostat commands for the Linux
operating system, similar to their traditional UNIX counterparts. They
enable system monitoring of disk, network, and other IO activity.

%description -l pl.UTF-8
Pakiet ten udostępnia polecenia sar i iostat dla systemu Linux podobne
w działaniu do tradycyjnych narzędzi systemu Unix. Polecenia te
umożliwiają monitorowanie obciążenia zasobów dyskowych, interfejsów
sieciowych i innych operacji wejścia/wyjścia.

%description -l ru.UTF-8
Этот пакет содержит программы sar и iostat для Linux, похожие на
традиционные одноименные программы UNIX. Они позволяют осуществлять
мониторинг дисковой, сетевой и прочей активности системы.

%description -l uk.UTF-8
Цей пакет містить програми sar та iostat для Linux, схожі на
традиційні відповідні програми UNIX. Вони дозволяють здійснювати
моніторинг дискової, мережевої та іншої активності системи.

%description -l zh_CN.UTF-8
本软件提供了用于Linux的系统监视工具, 可以监视磁盘, 网络以及 其他 IO
的活动情况.

%prep
%setup -q
%patch0 -p1

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure

%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{cron.d,rc.d/init.d,sysconfig},/var/log/sa}

%{__make} install

install %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.d/sysstat
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/sysstat
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%find_lang %{name}
rm -rf $RPM_BUILD_ROOT%{_prefix}/doc/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add sysstat
%service sysstat restart

%preun
if [ "$1" = "0" ]; then
	%service sysstat stop
	/sbin/chkconfig --del sysstat
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGES CREDITS README *.sample TODO FAQ
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_prefix}/lib/sa*
%attr(750,root,root) %dir /var/log/sa
%attr(754,root,root) /etc/rc.d/init.d/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/cron.d/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/*
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sysstat.spec,v $
Revision 1.81  2008/10/11 10:16:18  adamg
- updated to 8.1.6

Revision 1.80  2008/07/14 19:09:33  areq
- 8.1.5

Revision 1.79  2008/06/25 10:46:37  glen
- release 2

Revision 1.78  2008/06/22 10:55:09  areq
- 8.1.4

Revision 1.77  2008/05/26 10:34:22  glen
- release 2

Revision 1.76  2008-05-25 14:21:41  areq
- 8.1.3

Revision 1.75  2008-03-17 22:38:07  areq
- 8.1.2

Revision 1.74  2007-11-19 22:23:07  areq
- 8.0.3

Revision 1.73  2007-10-28 14:33:58  areq
- 8.0.2

Revision 1.72  2007/10/02 06:16:14  glen
- rel 1

Revision 1.71  2007/10/01 21:51:42  areq
- 8.0.1

Revision 1.70  2007/07/09 22:46:21  qboosh
- BR: automake

Revision 1.69  2007/07/09 21:44:58  areq
- 7.1.6

Revision 1.68  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.67  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.66  2006/04/30 10:51:08  glen
- cleanup unpackaged docs

Revision 1.65  2006/04/30 09:08:28  adamg
- updated to 6.1.2

Revision 1.64  2006/03/13 23:14:32  glen
- use %service

Revision 1.63  2005/11/10 13:13:50  twittner
- rel.2 - fixed sadc invokation in sysstat.init

Revision 1.62  2005/11/09 21:42:28  darekr
- PreReq->Requires

Revision 1.61  2005/11/09 18:40:12  twittner
- fixed passing %rpmcflags

Revision 1.60  2005/10/21 07:23:13  qboosh
- sorted verify() flags

Revision 1.59  2005/06/25 15:53:26  areq
- 6.0.1

Revision 1.58  2005/05/24 13:26:27  adamg
- gcc4 patch added

Revision 1.57  2005/05/24 11:41:50  areq
- 6.0.0

Revision 1.56  2005/03/28 10:22:03  adamg
- updated to 5.1.5
- dropped -norwergian.patch (already applied)

Revision 1.55  2005/01/05 09:54:52  adamg
- updated to 5.1.4

Revision 1.54  2004/11/19 01:41:54  undefine
- up to 5.1.2

Revision 1.53  2004/10/10 23:00:24  radek
- attr o+rx for /usr/lib/sa*, attr o-rx for /var/log/sa/
- %conf for /etc/cron.d/sysstat
- added -L to default sadc options

Revision 1.52  2004/10/10 22:41:53  radek
- release 2: added support for /etc/sysconfig/sysstat

Revision 1.51  2004/06/12 19:59:17  paszczus
- updated to 5.0.5

Revision 1.50  2004/05/28 19:50:01  undefine
- update to 5.0.4, adapterized

Revision 1.49  2004/04/09 21:09:55  adamg
- updated to 5.0.3
- removed verbose patch (applied upstream)

Revision 1.48  2004/03/26 20:33:05  ankry
- rel. 3 for Ac

Revision 1.47  2004/03/14 21:34:04  adamg
- updated to 5.0.2

Revision 1.46  2004/02/10 23:17:51  undefine
- update to 5.0.1

Revision 1.45  2004/01/19 16:35:05  undefine
- %{_libdir}->%{_prefix}/lib (it's only program)

Revision 1.44  2004/01/19 13:32:31  qboosh
- updated norwegian patch, follow glibc 2.3.3 (no_NO -> nb_NO)
- release 2

Revision 1.43  2003/12/10 19:49:54  undefine
- don't run sysstat restart - it doesn't work and upgrade failed. it restart
  automaticly after one hour from cron.

Revision 1.42  2003/11/15 23:18:51  undefine
- update to 5.0.0

Revision 1.41  2003/09/30 08:23:32  areq
- 4.1.7

Revision 1.40  2003/09/08 08:32:24  qboosh
- fixed+standardized post

Revision 1.39  2003/09/04 23:43:37  ankry
- fixed Norwegian locale dirs

Revision 1.38  2003/09/02 19:33:33  undefine
- add restart sysstat service

Revision 1.37  2003/09/02 19:07:50  undefine
- update to 4.1.6

Revision 1.36  2003/08/19 21:20:20  arekm
- updated to 4.1.5

Revision 1.35  2003/05/28 13:02:10  malekith
- massive attack: source-md5

Revision 1.34  2003/05/25 06:27:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.33  2003/05/20 21:43:33  misi3k
- updated to 4.1.3
Changes: iostat should now be fully 2.5/2.6 kernel compliant.
Disks arrays in iostat are now dynamically sized. In iostat,
sysfs is now used in preference to /proc/stat if available.
iostat will no longer look for statistics in /proc/partitions.
The sysfs filesystem must now be available for iostat to get its
extended stats (post 2.5 kernels). For iostat, devices for which
statistics are requested can now be entered on the command line
even if option -x is not used. NLS updated. Romanian translation added.

Revision 1.32  2003/01/29 15:17:45  areq
- 4.1.2

Revision 1.31  2003/01/11 00:37:29  qboosh
- more specific Requires

Revision 1.30  2003/01/09 23:21:02  areq
- 4.1.1

Revision 1.29  2002/12/02 14:40:47  kura
- typo

Revision 1.28  2002/12/02 11:06:27  ankry
- massive cleaning

Revision 1.27  2002/11/16 18:45:45  areq
- 4.0.7,STBR

Revision 1.26  2002/09/11 11:30:31  undefine
- add FAQ to %doc

Revision 1.25  2002/09/06 00:57:12  undefine
- zh_CN description/summary from TurboLinux

Revision 1.24  2002/08/15 18:41:52  areq
- 4.0.6, STBR

Revision 1.23  2002/05/25 21:41:14  qboosh
- new %doc

Revision 1.22  2002/05/23 18:02:13  undefine
- updated params to Configure to new version. next time when upgrade to never version use a
  bit /dev/brain and look into changes :>
- release 3

Revision 1.21  2002/05/20 22:34:49  ankry
- fixed Norwegian (no, nn) locale names and added pl translation
  (sysstat-nls.patch)
- release 2

Revision 1.20  2002/05/13 06:37:33  kloczek
- updated to 4.0.5.

Revision 1.19  2002/05/07 15:34:39  undefine
- add verbose logging of missing file patch from rawhide
- stbr

Revision 1.18  2002/05/07 14:43:20  undefine
- release 2 to rebuild with fixed sysstat.init

Revision 1.17  2002/04/08 22:24:48  kloczek
- merge translations from KSI and better Summary, %description.

Revision 1.16  2002/04/08 21:17:18  mkierus
- updated to 4.0.4 (some bugfixes and enhancements)

Revision 1.15  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/28 23:08:15  areq
- 4.0.3, STBR

Revision 1.12  2002/01/18 02:15:08  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/09/25 13:53:08  qboosh
- Prereq: /sbin/chkconfig, changed Requires: rc-scripts to Prereq
- call chkconfig --del on remove
- release 2

Revision 1.10  2001/07/26 05:42:24  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.8  2001/07/01 13:30:08  blues
- 4.0.1

Revision 1.7  2001/04/30 16:05:31  kloczek
- added using %{rpmcflags} macro.

Revision 1.6  2001/04/09 16:18:20  kloczek
- updated to 4.0.0.

Revision 1.5  2001/03/07 18:13:11  kloczek
- updated to 3.3.6.

Revision 1.4  2001/02/15 13:29:44  marcus
- added /var/log/sa - necessary for sar
- added cron and init scripts for sysstat
- fix some perms (/usr/lib/sa/*)
- release 2

Revision 1.3  2001/02/13 19:40:52  kloczek
- updated to 3.3.5.

Revision 1.2  2001/02/03 17:42:29  kloczek
- adapterized and few cosmetics.

Revision 1.1  2001/02/03 11:11:27  misiek
- initial release. init.d script missing. nyf
